## ide-triplet ide-triplet |

## Functions

IdeTriplet * | ide_triplet_new ()
IdeTriplet * | ide_triplet_new_from_system ()
IdeTriplet * | ide_triplet_new_with_triplet ()
IdeTriplet * | ide_triplet_new_with_quadruplet ()
IdeTriplet * | ide_triplet_ref ()
void | ide_triplet_unref ()
const gchar * | ide_triplet_get_full_name ()
const gchar * | ide_triplet_get_arch ()
const gchar * | ide_triplet_get_vendor ()
const gchar * | ide_triplet_get_kernel ()
const gchar * | ide_triplet_get_operating_system ()
gboolean | ide_triplet_is_system ()

## Description

## Functions

### ide_triplet_new ()

    IdeTriplet *
    ide_triplet_new (const gchar *full_name);

Creates a new IdeTriplet from a given identifier. This identifier can be a simple architecture name, a duet of "arch-kernel" (like "m68k-coff"), a triplet of "arch-kernel-os" (like "x86_64-linux-gnu") or a quadriplet of "arch-vendor-kernel-os" (like "i686-pc-linux-gnu")

#### Parameters

full_name | The complete identifier of the machine |

#### Returns

An IdeTriplet.

[transfer full]

Since: 3.32

### ide_triplet_new_from_system ()

    IdeTriplet *
    ide_triplet_new_from_system (void);

Creates a new IdeTriplet from a the current system information

#### Returns

An IdeTriplet.

[transfer full]

Since: 3.32

### ide_triplet_new_with_triplet ()

    IdeTriplet *
    ide_triplet_new_with_triplet (const gchar *arch,
                                  const gchar *kernel,
                                  const gchar *operating_system);

Creates a new IdeTriplet from a given triplet of "arch-kernel-os" (like "x86_64-linux-gnu")

#### Parameters

arch | The name of the architecture of the machine (like "x86_64") |
kernel | The name of the kernel of the machine (like "linux"). | [nullable]
operating_system | The name of the os of the machine (like "gnuabi64"). | [nullable]

#### Returns

An IdeTriplet.

[transfer full]

Since: 3.32

### ide_triplet_new_with_quadruplet ()

    IdeTriplet *
    ide_triplet_new_with_quadruplet (const gchar *arch,
                                     const gchar *vendor,
                                     const gchar *kernel,
                                     const gchar *operating_system);

Creates a new IdeTriplet from a given quadruplet of "arch-vendor-kernel-os" (like "i686-pc-linux-gnu")

#### Parameters

arch | The name of the architecture of the machine (like "x86_64") |
vendor | The name of the vendor of the machine (like "pc"). | [nullable]
kernel | The name of the kernel of the machine (like "linux"). | [nullable]
operating_system | The name of the os of the machine (like "gnuabi64"). | [nullable]

#### Returns

An IdeTriplet.

[transfer full]

Since: 3.32

### ide_triplet_ref ()

    IdeTriplet *
    ide_triplet_ref (IdeTriplet *self);

Increases the reference count of `self`

#### Parameters

self | An IdeTriplet |

#### Returns

An IdeTriplet.

[transfer none]

Since: 3.32

### ide_triplet_unref ()

    void
    ide_triplet_unref (IdeTriplet *self);

Decreases the reference count of `self` Once the reference count reaches 0, the object is freed.

#### Parameters

self | An IdeTriplet |

Since: 3.32

### ide_triplet_get_full_name ()

    const gchar *
    ide_triplet_get_full_name (IdeTriplet *self);

Gets the full name of the machine configuration name (can be an architecture name, a duet, a triplet or a quadruplet).

#### Parameters

self | An IdeTriplet |

#### Returns

The full name of the machine configuration name.

[transfer none]

Since: 3.32

### ide_triplet_get_arch ()

    const gchar *
    ide_triplet_get_arch (IdeTriplet *self);

Gets the architecture name of the machine

#### Parameters

self | An IdeTriplet |

#### Returns

The architecture name of the machine.

[transfer none]

Since: 3.32

### ide_triplet_get_vendor ()

    const gchar *
    ide_triplet_get_vendor (IdeTriplet *self);

Gets the vendor name of the machine

#### Parameters

self | An IdeTriplet |

#### Returns

The vendor name of the machine.

[transfer none][nullable]

Since: 3.32

### ide_triplet_get_kernel ()

    const gchar *
    ide_triplet_get_kernel (IdeTriplet *self);

Gets name of the kernel of the machine

#### Parameters

self | An IdeTriplet |

#### Returns

The name of the kernel of the machine.

[transfer none][nullable]

Since: 3.32

### ide_triplet_get_operating_system ()

    const gchar *
    ide_triplet_get_operating_system (IdeTriplet *self);

Gets name of the operating system of the machine

#### Parameters

self | An IdeTriplet |

#### Returns

The name of the operating system of the machine.

[transfer none][nullable]

Since: 3.32

### ide_triplet_is_system ()

    gboolean
    ide_triplet_is_system (IdeTriplet *self);

Gets whether this is the same architecture as the system

#### Parameters

self | An IdeTriplet |

#### Returns

`TRUE` if this is the same architecture as the system, `FALSE` otherwise

Since: 3.32